<div id="edit-profile" v-cloak>
  <account-notification-banner></account-notification-banner>
  <div class="container pt-5 pb-5">
    <h1>Actualizar información personal</h1>
    <hr/>
    <ajax-form action="updateProfile" :syncing.sync="syncing" :cloud-error.sync="cloudError" :form-data="formData" :form-rules="formRules" :form-errors.sync="formErrors" @submitted="submittedForm()">
      <div class="row">
        <div class="col-sm-6">
          <div class="form-group">
            <label for="full-name">Nombre completo</label>
            <input class="form-control" id="full-name" name="full-name" type="text"  :class="[formErrors.fullName ? 'is-invalid' : '']" v-model.trim="formData.fullName" placeholder="Sturgis P. Sturgeon" autocomplete="name" focus-first>
            <div class="invalid-feedback" v-if="formErrors.fullName">Por favor ingrese su nombre completo.</div>
          </div>
        </div>
        <div class="col-sm-6">
          <div class="form-group">
            <label for="email-address">Dirección de correo electrónico</label>
            <input class="form-control" id="email-address" name="email-address" type="email"  :class="[formErrors.emailAddress ? 'is-invalid' : '']" v-model.trim="formData.emailAddress" placeholder="sturgeon@example.com" autocomplete="email">
            <div class="invalid-feedback" v-if="formErrors.emailAddress">Por favor ingrese una dirección de correo válida.</div>
          </div>
        </div>
      </div>
      <div class="row">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="peso">Peso</label>
          <input class="form-control" id="peso" name="peso" type="number"  :class="[formErrors.peso ? 'is-invalid' : '']" v-model.trim="formData.peso" placeholder="150" autocomplete="150">
            <div class="invalid-feedback" v-if="formErrors.peso">Por favor ingrese un peso válida.</div>
          </div>
      </div>
      <div class="col-sm-6">
      <div class="form-group">
        <label for="estatura">Estatura</label>
        <input class="form-control" id="estatura" name="estatura" type="number"  :class="[formErrors.estatura ? 'is-invalid' : '']" v-model.trim="formData.estatura" placeholder="150" autocomplete="150">
          <div class="invalid-feedback" v-if="formErrors.estatura">Por favor ingrese una estatura válida.</div>
          </div>
      </div>
      </div>

      <div class="row">
      <div class="col-sm-6">
      <label for="allergy1" class="form-check-label">Vegetariano</label>
      <select class="custom-select" id="allergy1" v-model="formData.allergy1" >
        <option value="true">Si</option>
        <option value="false">No</option>
      </select>
      </div>
        <div class="col-sm-6">
      <label for="allergy2" class="form-check-label">Diabetico</label>
      <select class="custom-select" id="allergy2" v-model="formData.allergy2">
        <option value="true">Si</option>
        <option value="false">No</option>
      </select>
        </div>
      </div>


      <div class="row">
       <div class="col-sm-6">
      <label for="allergy3" class="form-check-label">Intolerante a la Lactosa</label>
      <select class="custom-select" id="allergy3" v-model="formData.allergy3">
        <option value="true">Si</option>
        <option value="false">No</option>
      </select>
       </div>

       <div class="col-sm-6">
      <label for="allergy4" class="form-check-label">No consume mariscos</label>
      <select class="custom-select" id="allergy4" v-model="formData.allergy4">
        <option value="true">Si</option>
        <option value="false">No</option>
      </select>
       </div>
      </div>

      <div class="row">
       <div class="col-sm-6">
      <label for="allergy5" class="form-check-label">Alergia al maní</label>
      <select class="custom-select" id="allergy5" v-model="formData.allergy5">
        <option value="true">Si</option>
        <option value="false">No</option>
      </select>
       </div>
      </div>

      <div class="row">
        <div class="col-sm-6">
          <cloud-error v-if="cloudError === 'emailAlreadyInUse'">Ya existe una cuenta asociada a esta dirección de correo.</cloud-error>
          <cloud-error v-if="cloudError"></cloud-error>
        </div>
        <div class="col-sm-6">
          <div class="form-group text-right">
            <a class="btn btn-outline-info" href="/account">Cancelar</a>
            <ajax-button type="submit" :syncing="syncing" class="btn btn-dark">Guardar cambios</ajax-button>
          </div>
        </div>
      </div>
    </ajax-form>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
